<back to all web services

GetTranslationsType

The following routes are available for this service:
GET/RestApi/translations/translations/types
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations;
using Telerik.Sitefinity.Translations.Model;

namespace Telerik.Sitefinity.Translations.Model
{
    public enum TranslationStatus
    {
        Marked = 101,
        Sending = 201,
        Sent = 202,
        Received = 301,
        Importing = 302,
        Imported = 303,
        Completed = 304,
        Archived = 401,
        Deleted = 402,
        Rejected = 403,
        SendingError = 501,
        ImportingError = 502,
        ReceivingError = 503,
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
{
    public partial class GetTranslationsType
        : ITranslationsFilter
    {
        public virtual string[] Type { get; set; }
        public virtual string SearchText { get; set; }
        public virtual string ActualSourceLanguage { get; set; }
        public virtual string[] TargetLanguage { get; set; }
        public virtual string[] Service { get; set; }
        public virtual TranslationStatus[] TranslationStatus { get; set; }
        public virtual string[] Status { get; set; }
        public virtual Guid[] ProjectIds { get; set; }
        public virtual DateTime? StartDate { get; set; }
        public virtual DateTime? EndDate { get; set; }
        public virtual bool ErrorsOnly { get; set; }
    }

}

C# GetTranslationsType DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/translations/types HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"FullName":"String","Name":"String","Count":0}]